<template>
  <div class="main-contain new-main-contain">
    <div class="position">
      <bread-crumb :crumbs='crumbs'></bread-crumb>
    </div>
    <div class="app-container" style="display:flex;flex: 1;padding: 10px 20px 0px 20px;">
      <div class="mainLeft">
        <div class="mainCell" style="justify-content: space-between;">
          <p style="font-size:14px;">未就诊：<span>{{cal_one}}</span>人</p>
          <p style="font-size:14px;">已就诊：<span>{{cal_two}}</span>人</p>
        </div>
        <div class="mainCell">
          <el-radio-group v-model="radio" @change="change">
            <el-radio :label="1">未就诊</el-radio>
            <el-radio :label="2">已就诊</el-radio>
            <el-radio :label="0">全部</el-radio>
          </el-radio-group>
        </div>
        <div class="mainCell" style="margin-bottom:10px;">
          <el-input size="small" placeholder="请输入姓名或就诊号" @input="searchAction" @keyup.enter.native='searchAction'
                    v-model="search_input" class="filter-item"/>
          <el-button size="small" style="margin-left:10px;" class="filter-item" type="primary" @click="searchAction">
            搜索
          </el-button>
        </div>
        <div>
          <el-table :data="patientTableData" :height="tableHeight" @row-click='choosePatient'
                    @current-change='currentChange' border style="width: 100%;"
                    :row-style="{ color: '#303133' }"
                    :header-cell-style="{backgroundColor: 'rgb(245, 247, 250)',color: '#606266'}"
                    highlight-current-row
                    ref="tab"
          >
            <el-table-column prop="name" label="姓名" width='89'>
              <template slot-scope="scope">{{scope.row.name}}</template>
            </el-table-column>
            <el-table-column prop="name" label="就诊号" width="110">
              <template slot-scope="scope">{{ scope.row.his_patient ?scope.row.his_patient.number:''}}</template>
            </el-table-column>
          </el-table>
        </div>
      </div>
      <div class="mainRight">
        <div class="mainHeader">
          <el-tabs v-model="titleType" @tab-click="handleClick"
                   style="position: fixed;width: calc(100% - 490px);background:#fff;">
            <el-tab-pane label="电子处方" name="电子处方"></el-tab-pane>
            <el-tab-pane label="电子病历" name="电子病历"></el-tab-pane>
          </el-tabs>
          <div class="mainCell fixedCell" style="float:right" v-if="titleType == '电子处方'">
            <el-button size="small" ref="button_one" @click="open(1)" type="primary" v-loading="saveLoading">保存
            </el-button>
            <el-button size="small" ref="button_three" @click="open_two()" type="primary">处方调用</el-button>
            <el-popover
              placement="bottom"
              width="200"
              trigger="click">
              <el-button size="small" ref="button_two" @click="open(2)">处方单</el-button>
              <el-button size="small" ref="button_six" @click="open(6)">治疗单</el-button>
              <el-button slot="reference" style="margin:0 10px;" type="primary" size="small">打印</el-button>

            </el-popover>
            <!--<el-button size="small" ref="button_four"  @click="open(5)" type="primary" :disabled='prescriptions && prescriptions[0].advices && prescriptions[0].project ? prescriptions[0].advices.length == 0 && prescriptions[0].project.length == 0 : false'>存模板</el-button> -->
          </div>
          <div class="mainCell fixedCell" style="float:right" v-if="titleType == '电子病历'">
            <el-button size="small" @click="opentwo(1)" type="primary">保存</el-button>
            <el-button size="small" @click="opentwo(2)" type="primary">打印</el-button>
            <el-button size="small" @click="opentwo(3)" type="primary">病历调用</el-button>
            <el-button size="small" @click="opentwo(4)" type="primary">存模板</el-button>
          </div>
        </div>
        <!--<desk-prescription ref="prescriptions"   :prescriptions="prescriptions" :patientInfo="patientInfo" :hisPatientInfo="hisPatientInfo"-->
        <!--v-if="titleType == '处方'" style="flex:1;"></desk-prescription>-->
        <desk-prescription v-on:setData="setData" :diagnoses="diagnoses" :loading="isloading"
                           :other_sick="other_sick" :record_date="record_date"
                           v-on:change="changeOther"
                           :month_prescriptions="month_prescriptions"
                           ref="prescriptions" :prescriptions="prescriptions" :patientInfo="patientInfo"
                           :hisPatientInfo="hisPatientInfo" @event1="changetwo($event)"
                           v-if="titleType == '电子处方'" style="flex:1;"  ></desk-prescription>


        <desk-record :record_date="record_date" :case_history="case_history" :patientInfo="patientInfo"
                     :hisPatientInfo="hisPatientInfo" v-if="titleType == '电子病历'" :detalid="detalid"
                     ref="child"></desk-record>

        <medicalRecord ref='medicalRecord' @func="getMsgFormSon"></medicalRecord>
        <saveRecordTemplate ref='saveRecordTemplate'></saveRecordTemplate>
      </div>

    </div>

    <el-dialog
      title="处方打印"
      :visible.sync="centerDialogVisible"
      width="600px"
      center>
      <el-table
        ref="multipleTable"
        :data="tableData"
        tooltip-effect="dark"
        style="width: 600px"

        @selection-change="handleSelectionChange">
        <el-table-column
          align='center'
          type="selection"
          width="50">
        </el-table-column>
        <el-table-column
          align='center'
          label="处方编号"
          width="120">
          <template slot-scope="scope">
            <span>处方 {{scope.$index + 1}}</span>
          </template>
        </el-table-column>
        <el-table-column label="处方号">
          <template slot-scope="scope">
          <span>
           <el-input v-model="scope.row.prescription_number" :disabled="true"></el-input>
          </span>
          </template>
        </el-table-column>
      </el-table>
      <el-dialog
        class="centerDialog"
        width="600px"
        title="打印"
        :visible.sync="innerVisible"
        append-to-body>

        <print v-if="index == 2" :paramsObj='paramsObj'></print>
        <treatPrint v-if="index == 6" :paramsObj='paramsObj'></treatPrint>
      </el-dialog>
      <span slot="footer" class="dialog-footer">
        <el-button @click="centerDialogVisible = false">取 消</el-button>
        <el-button type="primary" @click="savePrint">确 定</el-button>
      </span>
    </el-dialog>
    <el-dialog
      class="centerDialog"
      width="600px"
      title="打印"
      :visible.sync="recordVisible">
      <recordPrint :patientid="patientid"></recordPrint>
    </el-dialog>

  </div>
</template>

<script>
  import BreadCrumb from '@/xt_pages/components/bread-crumb'
  import deskPrescription from './components/deskPrescription'
  import deskRecord from './components/deskRecord'
  import {createCaseHistory, getPatientInfo, getHospitalPatientList} from '@/api/his/his'
  import {getDictionaryDataConfig} from '@/utils/data'
  import medicalRecord from './components/medicalRecord'
  import saveRecordTemplate from './components/saveRecordTemplate'
  import {uParseTime} from '@/utils/tools'
  import {getPrescriptionList} from "@/api/project/project"
  import print from './print'
  import treatPrint from './treatPrint'
  import recordPrint from './recordPrint'

  const moment = require('moment');

  export default {
    components: {
      BreadCrumb,
      deskPrescription,
      deskRecord,
      medicalRecord,
      saveRecordTemplate,
      print,
      treatPrint,
      recordPrint
    },
    data() {
      return {
        tableHeight: '',
        saveloading: false,
        fullHeight: document.documentElement.clientHeight,
        month_prescriptions: [],
        isloading:false,
        prescriptions: [
          {
            name: '处方1',
            advices: [],
            project: [],
            addition: [],
          }
        ],
        search_input: '',
        cal_one: 0,
        cal_two: 0,
        radio: 1,
        record_date: '',
        crumbs: [
          {path: false, name: '住院工作站'},
          {path: false, name: '医生工作台'}
        ],
        titleType: '电子处方',
        patientTableData: [{}],
        patientTableDataTwo: [{}],
        patientInfo: {},
        hisPatientInfo: {},
        case_history: {},
        patient_id: 0,
        diagnoses: [],
        other_sick: [],
        info: {},
        templatedetail: {},
        detalid: 0,
        prescription_id: 0,
        doctors: [],
        department: [],
        patientid: 0,
        prescriptionList: [],
        centerDialogVisible: false,
        tableData: [],
        selecting_schs: [],
        index: 0,
        admin_info: {},
        saveLoading: false,
        innerVisible: false,
        paramsObj: {},
        recordVisible: false,
        recordObj: {},
        additions: [],

      }
    },
    methods: {
      changeOther(patient_id){
        this.radio = 2;

        let params = {
          'record_date': this.record_date,
          'type': this.radio
        };
        this.patientTableData = [];

        getHospitalPatientList(params).then(response => {
          if (response.data.state == 0) {
            this.$message.error(response.data.msg);
            return false
          } else {
            this.patientTableData = response.data.data.list;
            this.patientTableDataTwo = response.data.data.list;
            this.cal_one = response.data.data.total_one;
            this.cal_two = response.data.data.total_two;
            this.admin_info = response.data.data.info;
            if (this.patientTableData.length > 0) {
              for(let i = 0; i < this.patientTableData.length; i++){
                if (this.patientTableData[i].id == patient_id){
                  this.$refs.tab.setCurrentRow(this.patientTableData[i]);
                  this.oldCurrentRow = this.patientTableData[i];
                  this.getPatientInfo(this.patientTableData[i])
                }
              }
            }
            this.prescriptionList = response.data.data.list.prescription
            // this.patientid = this.patientTableData[0].patient_id

          }
        })


      },
      setData(val) {
        this.prescriptions = val
      },
      getDictionaryDataConfig(module, filed_name) {
        return getDictionaryDataConfig(module, filed_name)

      },

      searchAction() {
        if (this.search_input.length == 0) {
          this.patientTableData = this.patientTableDataTwo
        } else {
          let arr = [];
          for (let i = 0; i < this.patientTableData.length; i++) {
            if (this.patientTableData[i].name.indexOf(this.search_input) != -1 || this.patientTableData[i].his_patient.number.indexOf(this.search_input) != -1) {
              arr = arr.concat(this.patientTableData[i])
            }
          }
          this.patientTableData = arr

        }


      },
      // changeTab() {
      //   this.saveLoading = false
      //
      //   this.radio = 2
      //   let params = {
      //     'record_date': this.record_date,
      //     'type': this.radio
      //   }
      //   this.patientTableData = []
      //   getSchedulePatientList(params).then(response => {
      //     if (response.data.state == 0) {
      //       this.$message.error(response.data.msg)
      //       return false
      //     } else {
      //       this.patientTableData = response.data.data.list
      //       this.patientTableDataTwo = response.data.data.list
      //       this.cal_one = response.data.data.total_one
      //       this.cal_two = response.data.data.total_two
      //       this.admin_info = response.data.data.info
      //       for (let i = 0; i < this.patientTableData.length; i++) {
      //         if (this.patientTableData[i].id == this.patientid) {
      //           this.$refs.tab.setCurrentRow(this.patientTableData[i])
      //           this.getPatientInfo(this.patientTableData[i])
      //
      //         }
      //       }
      //
      //
      //     }
      //   })
      //
      // },

      change() {
        let params = {
          'record_date': this.record_date,
          'type': this.radio
        };
        this.patientTableData = [];

        getHospitalPatientList(params).then(response => {
          if (response.data.state == 0) {
            this.$message.error(response.data.msg);
            return false
          } else {
            this.patientTableData = response.data.data.list;
            this.patientTableDataTwo = response.data.data.list;
            this.cal_one = response.data.data.total_one;
            this.cal_two = response.data.data.total_two;
            this.admin_info = response.data.data.info;

            if (this.patientTableData.length > 0) {

                this.$refs.tab.setCurrentRow(this.patientTableData[0]);
                this.oldCurrentRow = this.patientTableData[0];
                this.getPatientInfo(this.patientTableData[0])

            }

            this.prescriptionList = response.data.data.list.prescription

            // this.patientid = this.patientTableData[0].patient_id

          }
        })
      },
      setMonthPrescription(month_prescriptions) {
        console.log("11111111");
        console.log(month_prescriptions);


        this.month_prescriptions = [];

        let drug_month_prescriptions = {
          advices: []
        };
        let drug_ids = [];
        let project_month_prescriptions = {
          project: []

        };
        let project_ids = [];

        let addition_month_prescriptions = {
          addition: []

        };
        let additions_ids = [];

        for (let i = 0; i < month_prescriptions.length; i++) {
          if (month_prescriptions[i].type == 1) { //药品
            for (let a = 0; a < month_prescriptions[i].advices.length; a++) {
              let obj = {
                id: month_prescriptions[i].advices[a].drug_id,
                price:month_prescriptions[i].advices[a].price,

              };
              drug_ids.push(obj);
              drug_month_prescriptions.advices.push(month_prescriptions[i].advices[a])
            }

          } else if (month_prescriptions[i].type == 2) { //项目
            for (let a = 0; a < month_prescriptions[i].project.length; a++) {
              let obj = {
                id: month_prescriptions[i].project[a].project_id,
                price:month_prescriptions[i].project[a].price,

              };
              project_ids.push(obj);
              project_month_prescriptions.project.push(month_prescriptions[i].project[a])
            }
          }
          //附加收费
          for (let a = 0; a < month_prescriptions[i].addition.length; a++) {
            let obj = {
              id: month_prescriptions[i].addition[a].item_id,
              price:month_prescriptions[i].addition[a].price,

            };
            additions_ids.push(obj);
            addition_month_prescriptions.addition.push(month_prescriptions[i].addition[a])

          }

        }
        console.log("00000000000000");
        console.log(drug_ids);
        console.log(project_ids);
        console.log(additions_ids);
        console.log("00000000000000");


        const obj = {};
        const obj1 = {};
        const obj2 = {};

        drug_ids = drug_ids.reduce((cur, next) => {
          obj[next.price] ? '' : obj[next.price] = true && cur.push(next);
          return cur
        }, []); // 设置cur默认类型为数组，并且初始值为空的数组
        project_ids = project_ids.reduce((cur, next) => {
            obj[next.price] ? '' : obj[next.price] = true &&  cur.push(next);
          return cur
        }, []); // 设置cur默认类型为数组，并且初始值为空的数组
        additions_ids = additions_ids.reduce((cur, next) => {
          obj[next.price] ? '' : obj[next.price] = true  && cur.push(next);
          return cur
        }, []); // 设置cur默认类型为数组，并且初始值为空的数组



        let drugs = [];
        let projects = [];
        let additions = [];

        for (let i = 0; i < drug_ids.length; i++) {
          let obj = {};
          let count = 0;
          for (let a = 0; a < drug_month_prescriptions.advices.length; a++) {
            if (drug_ids[i].price == drug_month_prescriptions.advices[a].price) {
              obj['drug_name'] = drug_month_prescriptions.advices[a].advice_name;
              obj['single_dose'] = drug_month_prescriptions.advices[a].single_dose;
              obj['delivery_way'] = drug_month_prescriptions.advices[a].delivery_way;
              obj['execution_frequency'] = drug_month_prescriptions.advices[a].execution_frequency;
              obj['day'] = drug_month_prescriptions.advices[a].day;
              // obj['prescribing_number'] =  obj['prescribing_number']  + drug_month_prescriptions.advices[a].prescribing_number
              obj['prescribing_number_unit'] = drug_month_prescriptions.advices[a].prescribing_number_unit;
              obj['medical_insurance_number'] = drug_month_prescriptions.advices[a].drug.medical_insurance_number;
              obj['id'] = drug_month_prescriptions.advices[a].drug_id;
              // obj['retail_price'] = obj['retail_price'] +  drug_month_prescriptions.advices[a].drug.retail_price
              obj['retail_price'] = parseFloat(drug_month_prescriptions.advices[a].price);
              obj['drug'] = drug_month_prescriptions.advices[a].drug

              count = count + drug_month_prescriptions.advices[a].prescribing_number

            }
          }
          obj['prescribing_number'] = count;
          drugs.push(obj)
        }

        for (let i = 0; i < project_ids.length; i++) {
          let obj = {};
          let count = 0;
          for (let a = 0; a < project_month_prescriptions.project.length; a++) {
            if (project_ids[i].price == project_month_prescriptions.project[a].price) {

              if(project_month_prescriptions.project[a].type == 2){
                obj['statistical_classification'] =  project_month_prescriptions.project[a].project.statistical_classification
                obj['medical_code'] =  project_month_prescriptions.project[a].project.medical_code
                obj['project_name'] =  project_month_prescriptions.project[a].project.project_name


              }else if(project_month_prescriptions.project[a].type == 3){
                obj['statistical_classification'] = ""
                obj['medical_code'] =  project_month_prescriptions.project[a].good_info.medical_insurance_number
                obj['project_name'] =  project_month_prescriptions.project[a].good_info.good_name

              }
              obj['type'] = project_month_prescriptions.project[a].type

              obj['project_name'] = project_month_prescriptions.project[a].project.project_name;
              obj['statistical_classification'] = project_month_prescriptions.project[a].project.statistical_classification;
              obj['single_dose'] = project_month_prescriptions.project[a].single_dose;
              obj['delivery_way'] = project_month_prescriptions.project[a].delivery_way;
              obj['execution_frequency'] = project_month_prescriptions.project[a].execution_frequency;
              obj['number_days'] = project_month_prescriptions.project[a].day;
              obj['medical_code'] = project_month_prescriptions.project[a].project.medical_code;
              obj['unit'] = project_month_prescriptions.project[a].unit;
              obj['project_id'] = project_month_prescriptions.project[a].project_id;
              count = count + project_month_prescriptions.project[a].count;
              // price = price + project_month_prescriptions.project[a].price
              obj['price'] = parseFloat(project_month_prescriptions.project[a].price)

            }
          }
          obj['total'] = count;
          projects.push(obj)
        }

        for (let i = 0; i < additions_ids.length; i++) {
          let obj = {};
          let count = 0;
          console.log(addition_month_prescriptions.addition);
          if (addition_month_prescriptions.addition) {
            for (let a = 0; a < addition_month_prescriptions.addition.length; a++) {
              if (project_ids[i].price == addition_month_prescriptions.addition[a].price) {
                obj['item_name'] = addition_month_prescriptions.addition[a].item_name;
                obj['id'] = addition_month_prescriptions.addition[a].id;
                obj['item_id'] = addition_month_prescriptions.addition[a].item_id;
                count = count + addition_month_prescriptions.addition[a].count;
                obj['price'] = parseFloat(addition_month_prescriptions.addition[a].price)
              }
            }
            obj['count'] = count;
            additions.push(obj)
          }
        }

        console.log(drugs);
        console.log(projects);
        console.log(additions);

        let p1 = {
          name: '处方' + 1,
          advices: drugs,
          project: [],
          type: 1,
          addition: additions
        };
        let p2 = {
          name: '处方' + 2,
          type: 2,
          project: projects,
          advices: [],
          addition: []

        };

        this.month_prescriptions.push(p1);
        this.month_prescriptions.push(p2);

        this.curMonthPrescriptions = this.month_prescriptions[0]

      },

      // setMonthPrescription(month_prescriptions){
      //   let drug_month_prescriptions = {
      //     advices:[],
      //   }
      //   let drug_ids=[]
      //   let project_month_prescriptions ={
      //     project:[],
      //
      //   }
      //   let project_ids=[]
      //
      //   let addition_month_prescriptions ={
      //     addtions:[],
      //
      //   }
      //   let additions_ids=[]
      //
      //
      //   for (let i = 0; i < month_prescriptions.length; i++){
      //     if(month_prescriptions[i].type == 1){ //药品
      //       for (let a = 0; a < month_prescriptions[i].advices.length; a++){
      //         drug_ids.push(month_prescriptions[i].advices[a].drug_id)
      //         drug_month_prescriptions.advices.push(month_prescriptions[i].advices[a])
      //       }
      //
      //     }else if(month_prescriptions[i].type == 2){ //项目
      //       for (let a = 0; a < month_prescriptions[i].project.length; a++){
      //         project_ids.push(month_prescriptions[i].project[a].project_id)
      //         project_month_prescriptions.project.push(month_prescriptions[i].project[a])
      //       }
      //     }
      //     //附加收费
      //     for (let a = 0; a < month_prescriptions[i].addition.length; a++) {
      //       additions_ids.push(month_prescriptions[i].addition[a].item_id)
      //       addition_month_prescriptions.addtions.push(month_prescriptions[i].addition[a])
      //     }
      //
      //   }
      //
      //
      //
      //
      //   const obj = {}
      //   const obj1 = {}
      //   const obj2 = {}
      //
      //   drug_ids = drug_ids.reduce((cur, next) => {
      //     obj[next] ? '' : obj[next] = true && cur.push(next)
      //     return cur
      //   }, []) // 设置cur默认类型为数组，并且初始值为空的数组
      //   project_ids = project_ids.reduce((cur, next) => {
      //     obj1[next] ? '' : obj1[next] = true && cur.push(next)
      //     return cur
      //   }, []) // 设置cur默认类型为数组，并且初始值为空的数组
      //   additions_ids = additions_ids.reduce((cur, next) => {
      //     obj2[next] ? '' : obj2[next] = true && cur.push(next)
      //     return cur
      //   }, []) // 设置cur默认类型为数组，并且初始值为空的数组
      //
      //
      //
      //
      //
      //   let drugs =[]
      //   let projects =[]
      //   let additions =[]
      //
      //
      //   for (let i = 0; i < drug_ids.length; i++){
      //     let obj = {}
      //     let price = 0
      //     let count = 0
      //     for (let a = 0; a < drug_month_prescriptions.advices.length; a++){
      //       if(drug_ids[i] ==  drug_month_prescriptions.advices[a].drug_id){
      //         obj['drug_name'] = drug_month_prescriptions.advices[a].advice_name
      //         obj['single_dose'] = drug_month_prescriptions.advices[a].single_dose
      //         obj['delivery_way'] = drug_month_prescriptions.advices[a].delivery_way
      //         obj['execution_frequency'] = drug_month_prescriptions.advices[a].execution_frequency
      //         obj['day'] = drug_month_prescriptions.advices[a].day
      //         // obj['prescribing_number'] =  obj['prescribing_number']  + drug_month_prescriptions.advices[a].prescribing_number
      //         obj['prescribing_number_unit'] =  drug_month_prescriptions.advices[a].prescribing_number_unit
      //         obj['medical_insurance_number'] =  drug_month_prescriptions.advices[a].drug.medical_insurance_number
      //         obj['id'] =  drug_month_prescriptions.advices[a].drug_id
      //         // obj['retail_price'] = obj['retail_price'] +  drug_month_prescriptions.advices[a].drug.retail_price
      //
      //
      //         count = count +  drug_month_prescriptions.advices[a].prescribing_number
      //         price = price +   drug_month_prescriptions.advices[a].price
      //
      //       }
      //     }
      //     obj['retail_price'] = price
      //     obj['prescribing_number'] = count
      //     drugs.push(obj)
      //   }
      //
      //
      //
      //
      //   for (let i = 0; i < project_ids.length; i++){
      //     let obj = {}
      //     let price = 0
      //     let count = 0
      //     for (let a = 0; a < project_month_prescriptions.project.length; a++){
      //       if(project_ids[i] ==  project_month_prescriptions.project[a].project_id){
      //         obj['project_name'] = project_month_prescriptions.project[a].project.project_name
      //         obj['statistical_classification'] = project_month_prescriptions.project[a].project.statistical_classification
      //         obj['single_dose'] = project_month_prescriptions.project[a].single_dose
      //         obj['delivery_way'] = project_month_prescriptions.project[a].delivery_way
      //         obj['execution_frequency'] = project_month_prescriptions.project[a].execution_frequency
      //         obj['number_days'] = project_month_prescriptions.project[a].day
      //         obj['medical_code'] =  project_month_prescriptions.project[a].project.medical_code
      //         obj['unit'] =  project_month_prescriptions.project[a].unit
      //         obj['project_id'] =  project_month_prescriptions.project[a].project_id
      //         count = count +  project_month_prescriptions.project[a].count
      //         price = price +   project_month_prescriptions.project[a].price
      //       }
      //     }
      //     obj['price'] = price
      //     obj['total'] = count
      //     projects.push(obj)
      //   }
      //
      //
      //   for (let i = 0; i < additions_ids.length; i++){
      //     let obj = {}
      //     let price = 0
      //     let count = 0
      //     for (let a = 0; a < addition_month_prescriptions.addition.length; a++){
      //       if(project_ids[i] ==  addition_month_prescriptions.addition[a].item_id){
      //         obj['item_name'] = addition_month_prescriptions.addition[a].item_name
      //         obj['id'] = addition_month_prescriptions.addition[a].id
      //         obj['item_id'] =  addition_month_prescriptions.addition[a].item_id
      //         count = count +  addition_month_prescriptions.addition[a].count
      //         price = price +   addition_month_prescriptions.addition[a].price
      //       }
      //     }
      //     obj['price'] = price
      //     obj['count'] = count
      //     additions.push(obj)
      //   }
      //
      //
      //   let p1 = {
      //     name: '处方' + 1,
      //     advices: drugs,
      //     project: [],
      //     type:1,
      //     addition: additions,
      //   }
      //   let p2 = {
      //     name: '处方' + 2,
      //     type:2,
      //     project: projects,
      //     advices: [],
      //   }
      //   this.month_prescriptions.push(p1)
      //   this.month_prescriptions.push(p2)
      //
      // },
      getList() {
        let params = {
          'record_date': this.record_date,
          'type': this.radio
        };
        this.patientTableData = [];
        getHospitalPatientList(params).then(response => {
          if (response.data.state == 0) {
            this.$message.error(response.data.msg);
            return false
          } else {
            this.patientTableData = response.data.data.list;
            this.patientTableDataTwo = response.data.data.list;
            this.cal_one = response.data.data.total_one;
            this.cal_two = response.data.data.total_two;
            this.admin_info = response.data.data.info;

            if (this.patientTableData.length > 0) {
              this.$refs.tab.setCurrentRow(this.patientTableData[0]);
              this.oldCurrentRow = this.patientTableData[0];
              this.getPatientInfo(this.patientTableData[0])
            }


            // this.patientid = this.patientTableData[0].patient_id

          }
        })
      },
      getPatientInfo(val) {

        var nowDate = new Date();
        var nowYear = nowDate.getFullYear();
        var nowMonth = nowDate.getMonth() + 1;
        var nowDay = nowDate.getDate();

        var hours = nowDate.getHours();
        var min = nowDate.getMinutes();


        var nowTime =
          nowYear +
          '-' +
          (nowMonth < 10 ? '0' + nowMonth : nowMonth) +
          '-' +
          (nowDay < 10 ? '0' + nowDay : nowDay) + " " + (hours < 10 ? '0' + hours : hours) +
          ':' + (min < 10 ? '0' + min : min);



        this.patientid = val.id;
        let params = {
          'record_date': this.record_date,
          'patient_id': val.id,
          'start_time': moment(new Date()).subtract(30, 'days').format('YYYY-MM-DD'),
          'end_time': moment(new Date()).add('year', 0).format("YYYY-MM-DD"),
          'p_type':1,

        };
        this.isloading = true;
        getPatientInfo(params).then(response => {
          if (response.data.state == 0) {
            this.$message.error(response.data.msg);
            this.isloading = false;

            return false
          } else {
            this.isloading = false;

            this.prescriptions = [];
            this.month_prescriptions = [];

            this.patientInfo = response.data.data.xt_info;
            this.hisPatientInfo = response.data.data.his_info;
            this.case_history = response.data.data.case_history;
            this.info = response.data.data.info;
            this.doctors = response.data.data.doctors;
            this.department = response.data.data.department;

            for (let i = 0; i < this.doctors.length; i++){
              if(this.doctors[i].user_type == 1){
                this.doctors.splice(i,1)
              }
            }

            var month_prescriptions = response.data.data.month_prescriptions;
            this.setMonthPrescription(month_prescriptions);
            this.patientInfo.birth = uParseTime(this.patientInfo.birthday, '{y}-{m}-{d}');
            if (this.case_history.temperature <= 0) {
              this.case_history.temperature = ''
            }
            if (this.case_history.blood_sugar <= 0) {
              this.case_history.blood_sugar = ''
            }
            if (this.case_history.pulse <= 0) {
              this.case_history.pulse = ''
            }
            if (this.case_history.sbp <= 0) {
              this.case_history.sbp = ''
            }
            if (this.case_history.dbp <= 0) {
              this.case_history.dbp = ''
            }
            if (this.case_history.height <= 0) {
              this.case_history.height = ''
            }
            if (this.case_history.blood_fat <= 0) {
              this.case_history.blood_fat = ''
            }
            if (this.case_history.sick_type <= 0) {
              this.case_history.sick_type = ''
            }

            if (this.case_history.sick <= 0) {
              this.case_history.sick = ''
            }

            if (this.case_history.diagnose <= 0) {
              this.case_history.diagnose = ''
            }

            this.case_history.sick_date = uParseTime(this.case_history.sick_date, '{y}-{m}-{d}');
            if (this.case_history.is_infect == 1) {
              this.case_history.is_infect = true
            } else {
              this.case_history.is_infect = false
            }

            //处方相关
            this.prescriptionList = response.data.data.prescription;




            if (response.data.data.prescription.length > 0) {
              for (let i = 0; i < response.data.data.prescription.length; i++) {
                var prescription = response.data.data.prescription[i];
                let tempAdvice = [];
                let tempProject = [];
                let tempAddition = [];


                //药品
                for (let b = 0; b < prescription.advices.length; b++) {
                  let obj = {
                    advice_id: prescription.advices[b].id,
                    drug_name: prescription.advices[b].advice_name,
                    single_dose: prescription.advices[b].single_dose,
                    delivery_way: prescription.advices[b].delivery_way,
                    execution_frequency: prescription.advices[b].execution_frequency,
                    retail_price: prescription.advices[b].price.toString(),
                    remark: prescription.advices[b].remark,
                    day: prescription.advices[b].day,
                    prescribing_number: prescription.advices[b].prescribing_number.toString(),
                    single_dose_unit: prescription.advices[b].single_dose_unit,
                    prescribing_number_unit: prescription.advices[b].prescribing_number_unit,
                    medical_insurance_number: prescription.advices[b].med_list_codg,
                    id: prescription.advices[b].drug_id,
                    drug:prescription.advices[b].drug,
                  };
                  tempAdvice.push(obj)
                }


                //项目
                for (let b = 0; b < prescription.project.length; b++) {
                  let obj = {
                    id: prescription.project[b].id,
                    project_id: prescription.project[b].project_id,
                    project_name: prescription.project[b].project.project_name,
                    statistical_classification: prescription.project[b].project.statistical_classification,
                    single_dose: prescription.project[b].single_dose,
                    delivery_way: prescription.project[b].delivery_way,
                    execution_frequency: prescription.project[b].execution_frequency,
                    number_days: prescription.project[b].day,
                    total: prescription.project[b].count.toString(),
                    price: prescription.project[b].price,
                    remark: prescription.project[b].remark,
                    medical_code: prescription.project[b].project.medical_code,
                    unit: prescription.project[b].project.unit,
                    type: prescription.project[b].type
                  };

                  if(prescription.project[b].type == 2){
                    obj['statistical_classification'] =  prescription.project[b].project.statistical_classification
                    obj['medical_code'] =  prescription.project[b].project.medical_code
                    obj['project_name'] =  prescription.project[b].project.project_name

                  }else if(prescription.project[b].type == 3){
                    obj['statistical_classification'] = ""
                    obj['medical_code'] =  prescription.project[b].good_info.medical_insurance_number
                    obj['project_name'] =  prescription.project[b].good_info.good_name
                  }
                  tempProject.push(obj)
                }


                //附加收费
                for (let b = 0; b < prescription.addition.length; b++) {
                  let obj = {
                    id: prescription.addition[b].id,
                    item_name: prescription.addition[b].item_name,
                    price: prescription.addition[b].price,
                    count: prescription.addition[b].count,
                    item_id: prescription.addition[b].item_id,
                  };
                  tempAddition.push(obj)
                }

                var preTime = "";

                if (prescription.pre_time == 0) {
                  preTime = nowTime
                } else {
                  preTime = this.getTime(prescription.pre_time, "{y}-{m}-{d} {h}:{i}")
                }

                let index = i + 1;
                let obj = {
                  id: prescription.id,
                  name: '处方' + index,
                  advices: tempAdvice,
                  project: tempProject,
                  addition: tempAddition,
                  order_status: prescription.order_status,
                  pre_time: preTime
                };
                this.prescriptions.push(obj)
              }
            } else {



              let obj = {
                id: 0,
                name: '处方' + 1,
                advices: [],
                project: [],
                addition: [],
                order_status: 0,
                pre_time: nowTime,

              };
              this.prescriptions.push(obj)
            }
            this.$refs.prescriptions.setData(this.prescriptions, this.info, this.admin_info, this.doctors, this.department, this.hisPatientInfo, this.month_prescriptions)
          }
        })


      },

      choosePatient(val) {
        console.log(val);
        if(this.titleType == '电子病历'){
          console.log('this.$refs.child.watchSign',this.$refs.child.watchSign);
          if(this.$refs.child.watchSign > 2){
            this.$confirm('是否保存当前病例', '保存', {
              confirmButtonText: '确 定',
              cancelButtonText: '取 消',
              type: 'warning'
            }).then(() => {

              this.$refs.child.createCaseHistory(this.newPatientId);
              this.patientid = val.id;

              let params = {
                'record_date': this.record_date,
                'patient_id': val.id,
                'start_time': moment(new Date()).subtract(30, 'days').format('YYYY-MM-DD'),
                'end_time': moment(new Date()).add('year', 0).format("YYYY-MM-DD"),
                'p_type':1,


              };
              getPatientInfo(params).then(response => {
                if (response.data.state == 0) {
                  this.$message.error(response.data.msg);
                  return false
                } else {
                  this.prescriptions = [];

                  this.month_prescriptions = [];

                  var month_prescriptions = response.data.data.month_prescriptions;
                  this.setMonthPrescription(month_prescriptions);


                  this.patientInfo = response.data.data.xt_info;
                  this.hisPatientInfo = response.data.data.his_info;
                  this.case_history = response.data.data.case_history;
                  console.log("数据是22222多少",this.case_history);
                  this.info = response.data.data.info;
                  this.doctors = response.data.data.doctors;
                  this.department = response.data.data.department;

                  for (let i = 0; i < this.doctors.length; i++){
                    if(this.doctors[i].user_type == 1){
                      this.doctors.splice(i,1)
                    }
                  }
                  this.patientInfo.birth = uParseTime(this.patientInfo.birthday, '{y}-{m}-{d}');
                  if (this.case_history.breathing <= 0) {
                    this.case_history.breathing = ""
                  }
                  if (this.case_history.sick <= 0) {
                    this.case_history.sick = ""
                  }
                  if (this.case_history.diagnose <= 0) {
                    this.case_history.diagnose = ""
                  }

                  if (this.case_history.temperature <= 0) {
                    this.case_history.temperature = ''
                  }
                  if (this.case_history.blood_sugar <= 0) {
                    this.case_history.blood_sugar = ''
                  }
                  if (this.case_history.pulse <= 0) {
                    this.case_history.pulse = ''
                  }
                  if (this.case_history.sbp <= 0) {
                    this.case_history.sbp = ''
                  }
                  if (this.case_history.dbp <= 0) {
                    this.case_history.dbp = ''
                  }
                  if (this.case_history.height <= 0) {
                    this.case_history.height = ''
                  }
                  if (this.case_history.blood_fat <= 0) {
                    this.case_history.blood_fat = ''
                  }
                  if (this.case_history.sick_type <= 0) {
                    this.case_history.sick_type = ''
                  }
                  this.case_history.sick_date = uParseTime(this.case_history.sick_date, '{y}-{m}-{d}');
                  if (this.case_history.is_infect == 1) {
                    this.case_history.is_infect = true
                  } else {
                    this.case_history.is_infect = false
                  }
                  this.prescriptionList = response.data.data.prescription;
                  if (response.data.data.prescription.length > 0) {
                    for (let i = 0; i < response.data.data.prescription.length; i++) {
                      var prescription = response.data.data.prescription[i];
                      let tempAdvice = [];
                      let tempProject = [];
                      let tempAddition = [];
                      for (let b = 0; b < prescription.advices.length; b++) {
                        let obj = {
                          advice_id: prescription.advices[b].id,
                          drug_name: prescription.advices[b].advice_name,
                          single_dose: prescription.advices[b].single_dose,
                          delivery_way: prescription.advices[b].delivery_way,
                          execution_frequency: prescription.advices[b].execution_frequency,
                          retail_price: prescription.advices[b].price.toString(),
                          remark: prescription.advices[b].remark,
                          day: prescription.advices[b].day,
                          prescribing_number: prescription.advices[b].prescribing_number.toString(),
                          single_dose_unit: prescription.advices[b].single_dose_unit,
                          prescribing_number_unit: prescription.advices[b].prescribing_number_unit,
                          medical_insurance_number: prescription.advices[b].med_list_codg,
                          id: prescription.advices[b].drug_id,
                          drug:prescription.advices[b].drug,
                        };
                        tempAdvice.push(obj)
                      }
                      for (let b = 0; b < prescription.project.length; b++) {
                        let obj = {
                          id: prescription.project[b].id,
                          project_id: prescription.project[b].project_id,
                          project_name: prescription.project[b].project.project_name,
                          statistical_classification: prescription.project[b].project.statistical_classification,
                          single_dose: prescription.project[b].single_dose,
                          delivery_way: prescription.project[b].delivery_way,
                          execution_frequency: prescription.project[b].execution_frequency,
                          number_days: prescription.project[b].day,
                          total: prescription.project[b].count.toString(),
                          price: prescription.project[b].price,
                          remark: prescription.project[b].remark,
                          medical_code: prescription.project[b].project.medical_code,
                          unit: prescription.project[b].unit,
                          type: prescription.project[b].type,
                        };
                        if(prescription.project[b].type == 2){
                          obj['statistical_classification'] =  prescription.project[b].project.statistical_classification
                          obj['medical_code'] =  prescription.project[b].project.medical_code
                          obj['project_name'] =  prescription.project[b].project.project_name

                        }else if(prescription.project[b].type == 3){
                          obj['statistical_classification'] = ""
                          obj['medical_code'] =  prescription.project[b].good_info.medical_insurance_number
                          obj['project_name'] =  prescription.project[b].good_info.good_name
                        }
                        tempProject.push(obj)
                      }
                      for (let b = 0; b < prescription.addition.length; b++) {
                        let obj = {
                          id: prescription.addition[b].id,
                          item_name: prescription.addition[b].item_name,
                          price: prescription.addition[b].price,
                          count: prescription.addition[b].count,
                          item_id: prescription.addition[b].item_id,
                        };
                        tempAddition.push(obj)
                      }

                      var preTime = "";

                      if (prescription.pre_time == 0) {
                        preTime = nowTime
                      } else {
                        preTime = this.getTime(prescription.pre_time, "{y}-{m}-{d} {h}:{i}")
                      }

                      let index = i + 1;
                      let obj = {
                        id: prescription.id,
                        name: '处方' + index,
                        advices: tempAdvice,
                        project: tempProject,
                        addition: tempAddition,
                        order_status: prescription.order_status,
                        pre_time: preTime
                      };
                      this.prescriptions.push(obj)
                    }
                  } else {
                    let obj = {
                      id: 0,
                      name: '处方' + 1,
                      advices: [],
                      project: [],
                      addition: [],
                      order_status: 0,
                      pre_time: nowTime,
                    };
                    this.prescriptions.push(obj)
                  }
                  this.$refs.prescriptions.setData(this.prescriptions, this.info, this.admin_info, this.doctors, this.department,this.hisPatientInfo, this.month_prescriptions);
                  this.$refs.child.watchSign = 0
                }
              });
              this.$refs.child.watchSign = 0
            }).catch(() => {

              this.patientid = val.id;
              let params = {
                'record_date': this.record_date,
                'patient_id': val.id,
                'start_time': moment(new Date()).subtract(30, 'days').format('YYYY-MM-DD'),
                'end_time': moment(new Date()).add('year', 0).format("YYYY-MM-DD"),
                'p_type':1,

              };
              getPatientInfo(params).then(response => {
                if (response.data.state == 0) {
                  this.$message.error(response.data.msg);
                  return false
                } else {
                  this.prescriptions = [];

                  this.month_prescriptions = [];

                  var month_prescriptions = response.data.data.month_prescriptions;
                  this.setMonthPrescription(month_prescriptions);


                  this.patientInfo = response.data.data.xt_info;
                  this.hisPatientInfo = response.data.data.his_info;
                  this.case_history = response.data.data.case_history;
                  console.log("数据是22222多少",this.case_history);
                  this.info = response.data.data.info;
                  this.doctors = response.data.data.doctors;
                  this.department = response.data.data.department;

                  for (let i = 0; i < this.doctors.length; i++){
                    if(this.doctors[i].user_type == 1){
                      this.doctors.splice(i,1)
                    }
                  }
                  this.patientInfo.birth = uParseTime(this.patientInfo.birthday, '{y}-{m}-{d}');
                  if (this.case_history.breathing <= 0) {
                    this.case_history.breathing = ""
                  }
                  if (this.case_history.sick <= 0) {
                    this.case_history.sick = ""
                  }
                  if (this.case_history.diagnose <= 0) {
                    this.case_history.diagnose = ""
                  }

                  if (this.case_history.temperature <= 0) {
                    this.case_history.temperature = ''
                  }
                  if (this.case_history.blood_sugar <= 0) {
                    this.case_history.blood_sugar = ''
                  }
                  if (this.case_history.pulse <= 0) {
                    this.case_history.pulse = ''
                  }
                  if (this.case_history.sbp <= 0) {
                    this.case_history.sbp = ''
                  }
                  if (this.case_history.dbp <= 0) {
                    this.case_history.dbp = ''
                  }
                  if (this.case_history.height <= 0) {
                    this.case_history.height = ''
                  }
                  if (this.case_history.blood_fat <= 0) {
                    this.case_history.blood_fat = ''
                  }
                  if (this.case_history.sick_type <= 0) {
                    this.case_history.sick_type = ''
                  }
                  this.case_history.sick_date = uParseTime(this.case_history.sick_date, '{y}-{m}-{d}');
                  if (this.case_history.is_infect == 1) {
                    this.case_history.is_infect = true
                  } else {
                    this.case_history.is_infect = false
                  }
                  this.prescriptionList = response.data.data.prescription;
                  if (response.data.data.prescription.length > 0) {
                    for (let i = 0; i < response.data.data.prescription.length; i++) {
                      var prescription = response.data.data.prescription[i];
                      let tempAdvice = [];
                      let tempProject = [];
                      let tempAddition = [];
                      for (let b = 0; b < prescription.advices.length; b++) {
                        let obj = {
                          advice_id: prescription.advices[b].id,
                          drug_name: prescription.advices[b].advice_name,
                          single_dose: prescription.advices[b].single_dose,
                          delivery_way: prescription.advices[b].delivery_way,
                          execution_frequency: prescription.advices[b].execution_frequency,
                          retail_price: prescription.advices[b].price.toString(),
                          remark: prescription.advices[b].remark,
                          day: prescription.advices[b].day,
                          prescribing_number: prescription.advices[b].prescribing_number.toString(),
                          single_dose_unit: prescription.advices[b].single_dose_unit,
                          prescribing_number_unit: prescription.advices[b].prescribing_number_unit,
                          medical_insurance_number: prescription.advices[b].med_list_codg,
                          id: prescription.advices[b].drug_id,
                          drug:prescription.advices[b].drug,

                        };
                        tempAdvice.push(obj)
                      }
                      for (let b = 0; b < prescription.project.length; b++) {
                        let obj = {
                          id: prescription.project[b].id,
                          project_id: prescription.project[b].project_id,
                          project_name: prescription.project[b].project.project_name,
                          statistical_classification: prescription.project[b].project.statistical_classification,
                          single_dose: prescription.project[b].single_dose,
                          delivery_way: prescription.project[b].delivery_way,
                          execution_frequency: prescription.project[b].execution_frequency,
                          number_days: prescription.project[b].day,
                          total: prescription.project[b].count.toString(),
                          price: prescription.project[b].price,
                          remark: prescription.project[b].remark,
                          medical_code: prescription.project[b].project.medical_code,
                          unit: prescription.project[b].unit,
                          type:prescription.project[b].type,

                        };
                        if(prescription.project[b].type == 2){
                          obj['statistical_classification'] =  prescription.project[b].project.statistical_classification
                          obj['medical_code'] =  prescription.project[b].project.medical_code
                          obj['project_name'] =  prescription.project[b].project.project_name

                        }else if(prescription.project[b].type == 3){
                          obj['statistical_classification'] = ""
                          obj['medical_code'] =  prescription.project[b].good_info.medical_insurance_number
                          obj['project_name'] =  prescription.project[b].good_info.good_name
                        }


                        tempProject.push(obj)
                      }
                      for (let b = 0; b < prescription.addition.length; b++) {
                        let obj = {
                          id: prescription.addition[b].id,
                          item_name: prescription.addition[b].item_name,
                          price: prescription.addition[b].price,
                          count: prescription.addition[b].count,
                          item_id: prescription.addition[b].item_id,
                        };
                        tempAddition.push(obj)
                      }

                      var preTime = "";

                      if (prescription.pre_time == 0) {
                        preTime = nowTime
                      } else {
                        preTime = this.getTime(prescription.pre_time, "{y}-{m}-{d} {h}:{i}")
                      }

                      let index = i + 1;
                      let obj = {
                        id: prescription.id,
                        name: '处方' + index,
                        advices: tempAdvice,
                        project: tempProject,
                        addition: tempAddition,
                        order_status: prescription.order_status,
                        pre_time: preTime
                      };
                      this.prescriptions.push(obj)
                    }
                  } else {
                    let obj = {
                      id: 0,
                      name: '处方' + 1,
                      advices: [],
                      project: [],
                      addition: [],
                      order_status: 0,
                      pre_time: nowTime,
                    };
                    this.prescriptions.push(obj)
                  }
                  this.$refs.prescriptions.setData(this.prescriptions, this.info, this.admin_info, this.doctors, this.department,this.hisPatientInfo, this.month_prescriptions);
                  this.$refs.child.watchSign = 0
                }
              })

            });
            this.$refs.child.watchSign = 0
          }else{
            this.patientid = val.id;
            let params = {
              'record_date': this.record_date,
              'patient_id': val.id,
              'start_time': moment(new Date()).subtract(30, 'days').format('YYYY-MM-DD'),
              'end_time': moment(new Date()).add('year', 0).format("YYYY-MM-DD"),
              'p_type':1,

            };
            getPatientInfo(params).then(response => {
                if (response.data.state == 0) {
                  this.$message.error(response.data.msg);
                  return false
                } else {
                  this.prescriptions = [];

                  this.month_prescriptions = [];

                  var month_prescriptions = response.data.data.month_prescriptions;
                  this.setMonthPrescription(month_prescriptions);


                  this.patientInfo = response.data.data.xt_info;
                  this.hisPatientInfo = response.data.data.his_info;
                  this.case_history = response.data.data.case_history;
                  console.log("数据是22222多少",this.case_history);
                  this.info = response.data.data.info;
                  this.doctors = response.data.data.doctors;
                  this.department = response.data.data.department;

                  for (let i = 0; i < this.doctors.length; i++){
                    if(this.doctors[i].user_type == 1){
                      this.doctors.splice(i,1)
                    }
                  }
                  this.patientInfo.birth = uParseTime(this.patientInfo.birthday, '{y}-{m}-{d}');
                  if (this.case_history.breathing <= 0) {
                    this.case_history.breathing = ""
                  }
                  if (this.case_history.sick <= 0) {
                    this.case_history.sick = ""
                  }
                  if (this.case_history.diagnose <= 0) {
                    this.case_history.diagnose = ""
                  }

                  if (this.case_history.temperature <= 0) {
                    this.case_history.temperature = ''
                  }
                  if (this.case_history.blood_sugar <= 0) {
                    this.case_history.blood_sugar = ''
                  }
                  if (this.case_history.pulse <= 0) {
                    this.case_history.pulse = ''
                  }
                  if (this.case_history.sbp <= 0) {
                    this.case_history.sbp = ''
                  }
                  if (this.case_history.dbp <= 0) {
                    this.case_history.dbp = ''
                  }
                  if (this.case_history.height <= 0) {
                    this.case_history.height = ''
                  }
                  if (this.case_history.blood_fat <= 0) {
                    this.case_history.blood_fat = ''
                  }
                  if (this.case_history.sick_type <= 0) {
                    this.case_history.sick_type = ''
                  }
                  this.case_history.sick_date = uParseTime(this.case_history.sick_date, '{y}-{m}-{d}');
                  if (this.case_history.is_infect == 1) {
                    this.case_history.is_infect = true
                  } else {
                    this.case_history.is_infect = false
                  }
                  this.prescriptionList = response.data.data.prescription;
                  if (response.data.data.prescription.length > 0) {
                    for (let i = 0; i < response.data.data.prescription.length; i++) {
                      var prescription = response.data.data.prescription[i];
                      let tempAdvice = [];
                      let tempProject = [];
                      let tempAddition = [];
                      for (let b = 0; b < prescription.advices.length; b++) {
                        let obj = {
                          advice_id: prescription.advices[b].id,
                          drug_name: prescription.advices[b].advice_name,
                          single_dose: prescription.advices[b].single_dose,
                          delivery_way: prescription.advices[b].delivery_way,
                          execution_frequency: prescription.advices[b].execution_frequency,
                          retail_price: prescription.advices[b].price.toString(),
                          remark: prescription.advices[b].remark,
                          day: prescription.advices[b].day,
                          prescribing_number: prescription.advices[b].prescribing_number.toString(),
                          single_dose_unit: prescription.advices[b].single_dose_unit,
                          prescribing_number_unit: prescription.advices[b].prescribing_number_unit,
                          medical_insurance_number: prescription.advices[b].med_list_codg,
                          id: prescription.advices[b].drug_id,
                          drug:prescription.advices[b].drug,

                        };
                        tempAdvice.push(obj)
                      }
                      for (let b = 0; b < prescription.project.length; b++) {
                        let obj = {
                          id: prescription.project[b].id,
                          project_id: prescription.project[b].project_id,
                          project_name: prescription.project[b].project.project_name,
                          statistical_classification: prescription.project[b].project.statistical_classification,
                          single_dose: prescription.project[b].single_dose,
                          delivery_way: prescription.project[b].delivery_way,
                          execution_frequency: prescription.project[b].execution_frequency,
                          number_days: prescription.project[b].day,
                          total: prescription.project[b].count.toString(),
                          price: prescription.project[b].price,
                          remark: prescription.project[b].remark,
                          medical_code: prescription.project[b].project.medical_code,
                          unit: prescription.project[b].unit,
                          type:prescription.project[b].type,

                        };
                        if(prescription.project[b].type == 2){
                          obj['statistical_classification'] =  prescription.project[b].project.statistical_classification
                          obj['medical_code'] =  prescription.project[b].project.medical_code
                          obj['project_name'] =  prescription.project[b].project.project_name

                        }else if(prescription.project[b].type == 3){
                          obj['statistical_classification'] = ""
                          obj['medical_code'] =  prescription.project[b].good_info.medical_insurance_number
                          obj['project_name'] =  prescription.project[b].good_info.good_name
                        }

                        tempProject.push(obj)
                      }
                      for (let b = 0; b < prescription.addition.length; b++) {
                        let obj = {
                          id: prescription.addition[b].id,
                          item_name: prescription.addition[b].item_name,
                          price: prescription.addition[b].price,
                          count: prescription.addition[b].count,
                          item_id: prescription.addition[b].item_id,
                        };
                        tempAddition.push(obj)
                      }

                      var preTime = "";

                      if (prescription.pre_time == 0) {
                        preTime = nowTime
                      } else {
                        preTime = this.getTime(prescription.pre_time, "{y}-{m}-{d} {h}:{i}")
                      }

                      let index = i + 1;
                      let obj = {
                        id: prescription.id,
                        name: '处方' + index,
                        advices: tempAdvice,
                        project: tempProject,
                        addition: tempAddition,
                        order_status: prescription.order_status,
                        pre_time: preTime
                      };
                      this.prescriptions.push(obj)
                    }
                  } else {
                    let obj = {
                      id: 0,
                      name: '处方' + 1,
                      advices: [],
                      project: [],
                      addition: [],
                      order_status: 0,
                      pre_time: nowTime,
                    };
                    this.prescriptions.push(obj)
                  }
                  this.$refs.prescriptions.setData(this.prescriptions, this.info, this.admin_info, this.doctors, this.department,this.hisPatientInfo, this.month_prescriptions);
                  this.$refs.child.watchSign = 0
                }
              });
            this.$refs.child.watchSign = 0
          }
        }else{
        var nowDate = new Date();
        var nowYear = nowDate.getFullYear();
        var nowMonth = nowDate.getMonth() + 1;
        var nowDay = nowDate.getDate();

        var hours = nowDate.getHours();
        var min = nowDate.getMinutes();

        var nowTime =
          nowYear +
          '-' +
          (nowMonth < 10 ? '0' + nowMonth : nowMonth) +
          '-' +
          (nowDay < 10 ? '0' + nowDay : nowDay) + " " + (hours < 10 ? '0' + hours : hours) +
          ':' + (min < 10 ? '0' + min : min);

        var last_month = nowDate.getMonth() < 10 ? '0' + nowDate.getMonth().toString() : nowDate.getMonth(); //获取当前月份(0-11,0代表1月)


        var endTime =
          nowYear +
          '-' +
          last_month +
          '-' +
          (nowDay < 10 ? '0' + nowDay : nowDay) + " " + (hours < 10 ? '0' + hours : hours) +
          ':' + (min < 10 ? '0' + min : min);


        let isShowDailog = false;
        for (let i = 0; i < this.prescriptions.length; i++) {
          if ((this.prescriptions[i].id == 0 && this.prescriptions[i].advices.length > 0) || (this.prescriptions[i].id == 0 && this.prescriptions[i].project.length > 0)) {
            isShowDailog = true
          }
        }

        if (isShowDailog) {
          this.patientTableData.map((item, index) => {
            if (item.patient_id == this.oldCurrentRow.patient_id) {
              this.$refs.tab.setCurrentRow(this.patientTableData[index]);

            }
          });
          this.$confirm('是否保存当前处方', '保存', {
            confirmButtonText: '确 定',
            cancelButtonText: '取 消',
            type: 'warning'
          }).then(() => {
            this.open(1)
          }).catch(() => {
            this.patientTableData.map((item, index) => {
              if (item.patient_id == val.patient_id) {
                this.$refs.tab.setCurrentRow(this.patientTableData[index])
              }
            });

            this.patientid = val.id;
            let params = {
              'record_date': this.record_date,
              'patient_id': val.id,
              'start_time': moment(new Date()).subtract(30, 'days').format('YYYY-MM-DD'),
              'end_time': moment(new Date()).add('year', 0).format("YYYY-MM-DD"),
              'p_type':1,

            };
            getPatientInfo(params).then(response => {
              if (response.data.state == 0) {
                this.$message.error(response.data.msg);
                return false
              } else {

                this.prescriptions = [];
                this.patientInfo = response.data.data.xt_info;
                this.hisPatientInfo = response.data.data.his_info;
                this.case_history = response.data.data.case_history;
                console.log("数据列表是多少",this.case_history);
                var month_prescriptions = response.data.data.month_prescriptions;
                this.setMonthPrescription(month_prescriptions);
                this.doctors = response.data.data.doctors;
                this.department = response.data.data.department;

                for (let i = 0; i < this.doctors.length; i++){
                  if(this.doctors[i].user_type == 1){
                    this.doctors.splice(i,1)
                  }
                }

                this.case_history = case_history;
                this.info = response.data.data.info;
                this.patientInfo.birth = uParseTime(this.patientInfo.birthday, '{y}-{m}-{d}');
                if (this.case_history.breathing <= 0) {
                  this.case_history.breathing = ""
                }
                if (this.case_history.sick <= 0) {
                  this.case_history.sick = ""
                }
                if (this.case_history.diagnose <= 0) {
                  this.case_history.diagnose = ""
                }
                if (this.case_history.temperature <= 0) {
                  this.case_history.temperature = ''
                }
                if (this.case_history.blood_sugar <= 0) {
                  this.case_history.blood_sugar = ''
                }
                if (this.case_history.pulse <= 0) {
                  this.case_history.pulse = ''
                }
                if (this.case_history.sbp <= 0) {
                  this.case_history.sbp = ''
                }
                if (this.case_history.dbp <= 0) {
                  this.case_history.dbp = ''
                }
                if (this.case_history.height <= 0) {
                  this.case_history.height = ''
                }
                if (this.case_history.blood_fat <= 0) {
                  this.case_history.blood_fat = ''
                }
                if (this.case_history.sick_type <= 0) {
                  this.case_history.sick_type = ''
                }
                this.case_history.sick_date = uParseTime(this.case_history.sick_date, '{y}-{m}-{d}');
                if (this.case_history.is_infect == 1) {
                  this.case_history.is_infect = true
                } else {
                  this.case_history.is_infect = false
                }
                this.prescriptionList = response.data.data.prescription;
                if (response.data.data.prescription.length > 0) {
                  for (let i = 0; i < response.data.data.prescription.length; i++) {
                    var prescription = response.data.data.prescription[i];

                    let tempAdvice = [];
                    let tempProject = [];
                    let tempAddition = [];
                    for (let b = 0; b < prescription.advices.length; b++) {
                      let obj = {
                        advice_id: prescription.advices[b].id,
                        drug_name: prescription.advices[b].advice_name,
                        single_dose: prescription.advices[b].single_dose,
                        delivery_way: prescription.advices[b].delivery_way,
                        execution_frequency: prescription.advices[b].execution_frequency,
                        retail_price: prescription.advices[b].price.toString(),
                        remark: prescription.advices[b].remark,
                        day: prescription.advices[b].day,
                        prescribing_number: prescription.advices[b].prescribing_number.toString(),
                        single_dose_unit: prescription.advices[b].single_dose_unit,
                        prescribing_number_unit: prescription.advices[b].prescribing_number_unit,
                        medical_insurance_number: prescription.advices[b].med_list_codg,
                        id: prescription.advices[b].drug_id,
                        drug:prescription.advices[b].drug,

                      };
                      tempAdvice.push(obj)
                    }
                    for (let b = 0; b < prescription.project.length; b++) {
                      let obj = {
                        id: prescription.project[b].id,
                        project_id: prescription.project[b].project_id,
                        project_name: prescription.project[b].project.project_name,
                        statistical_classification: prescription.project[b].project.statistical_classification,
                        single_dose: prescription.project[b].single_dose,
                        delivery_way: prescription.project[b].delivery_way,
                        execution_frequency: prescription.project[b].execution_frequency,
                        number_days: prescription.project[b].day,
                        total: prescription.project[b].count.toString(),
                        price: prescription.project[b].price,
                        remark: prescription.project[b].remark,
                        medical_code: prescription.project[b].project.medical_code,
                        unit: prescription.project[b].unit,
                        type:prescription.project[b].type,

                      };
                      if(prescription.project[b].type == 2){
                        obj['statistical_classification'] =  prescription.project[b].project.statistical_classification
                        obj['medical_code'] =  prescription.project[b].project.medical_code
                        obj['project_name'] =  prescription.project[b].project.project_name

                      }else if(prescription.project[b].type == 3){
                        obj['statistical_classification'] = ""
                        obj['medical_code'] =  prescription.project[b].good_info.medical_insurance_number
                        obj['project_name'] =  prescription.project[b].good_info.good_name
                      }

                      tempProject.push(obj)
                    }
                    for (let b = 0; b < prescription.addition.length; b++) {
                      let obj = {
                        id: prescription.addition[b].id,
                        item_name: prescription.addition[b].item_name,
                        price: prescription.addition[b].price,
                        count: prescription.addition[b].count,
                        item_id: prescription.addition[b].item_id,
                      };
                      tempAddition.push(obj)
                    }


                    var preTime = "";

                    if (prescription.pre_time == 0) {
                      preTime = nowTime
                    } else {
                      preTime = this.getTime(prescription.pre_time, "{y}-{m}-{d} {h}:{i}")
                    }


                    let index = i + 1;
                    let obj = {
                      id: prescription.id,
                      name: '处方' + index,
                      advices: tempAdvice,
                      project: tempProject,
                      addition: tempAddition,
                      order_status: prescription.order_status,
                      pre_time: preTime
                    };
                    this.prescriptions.push(obj)
                  }
                } else {
                  let obj = {
                    id: 0,
                    name: '处方' + 1,
                    advices: [],
                    project: [],
                    addition: [],
                    order_status: 0,
                    pre_time: nowTime

                  };
                  this.prescriptions.push(obj)
                }
                this.$refs.prescriptions.setData(this.prescriptions, this.info, this.admin_info, this.doctors, this.department,this.hisPatientInfo, this.month_prescriptions)
              }
            })


          })


          // this.$message.error('需要保存保存处方才能切换')
        } else {
          this.patientid = val.id;
          let params = {
            'record_date': this.record_date,
            'patient_id': val.id,
            'start_time': moment(new Date()).subtract(30, 'days').format('YYYY-MM-DD'),
            'end_time': moment(new Date()).add('year', 0).format("YYYY-MM-DD"),
            'p_type':1,

          };
          getPatientInfo(params).then(response => {
            if (response.data.state == 0) {
              this.$message.error(response.data.msg);
              return false
            } else {
              this.prescriptions = [];

              this.month_prescriptions = [];

              var month_prescriptions = response.data.data.month_prescriptions;
              this.setMonthPrescription(month_prescriptions);


              this.patientInfo = response.data.data.xt_info;
              this.hisPatientInfo = response.data.data.his_info;
              this.case_history = response.data.data.case_history;
              console.log("数据是22222多少",this.case_history);
              this.info = response.data.data.info;
              this.doctors = response.data.data.doctors;
              this.department = response.data.data.department;

              for (let i = 0; i < this.doctors.length; i++){
                if(this.doctors[i].user_type == 1){
                  this.doctors.splice(i,1)
                }
              }
              this.patientInfo.birth = uParseTime(this.patientInfo.birthday, '{y}-{m}-{d}');
              if (this.case_history.breathing <= 0) {
                this.case_history.breathing = ""
              }
              if (this.case_history.sick <= 0) {
                this.case_history.sick = ""
              }
              if (this.case_history.diagnose <= 0) {
                this.case_history.diagnose = ""
              }

              if (this.case_history.temperature <= 0) {
                this.case_history.temperature = ''
              }
              if (this.case_history.blood_sugar <= 0) {
                this.case_history.blood_sugar = ''
              }
              if (this.case_history.pulse <= 0) {
                this.case_history.pulse = ''
              }
              if (this.case_history.sbp <= 0) {
                this.case_history.sbp = ''
              }
              if (this.case_history.dbp <= 0) {
                this.case_history.dbp = ''
              }
              if (this.case_history.height <= 0) {
                this.case_history.height = ''
              }
              if (this.case_history.blood_fat <= 0) {
                this.case_history.blood_fat = ''
              }
              if (this.case_history.sick_type <= 0) {
                this.case_history.sick_type = ''
              }
              this.case_history.sick_date = uParseTime(this.case_history.sick_date, '{y}-{m}-{d}');
              if (this.case_history.is_infect == 1) {
                this.case_history.is_infect = true
              } else {
                this.case_history.is_infect = false
              }
              this.prescriptionList = response.data.data.prescription;
              if (response.data.data.prescription.length > 0) {
                for (let i = 0; i < response.data.data.prescription.length; i++) {
                  var prescription = response.data.data.prescription[i];
                  let tempAdvice = [];
                  let tempProject = [];
                  let tempAddition = [];
                  for (let b = 0; b < prescription.advices.length; b++) {
                    let obj = {
                      advice_id: prescription.advices[b].id,
                      drug_name: prescription.advices[b].advice_name,
                      single_dose: prescription.advices[b].single_dose,
                      delivery_way: prescription.advices[b].delivery_way,
                      execution_frequency: prescription.advices[b].execution_frequency,
                      retail_price: prescription.advices[b].price.toString(),
                      remark: prescription.advices[b].remark,
                      day: prescription.advices[b].day,
                      prescribing_number: prescription.advices[b].prescribing_number.toString(),
                      single_dose_unit: prescription.advices[b].single_dose_unit,
                      prescribing_number_unit: prescription.advices[b].prescribing_number_unit,
                      medical_insurance_number: prescription.advices[b].med_list_codg,
                      id: prescription.advices[b].drug_id,
                      drug:prescription.advices[b].drug,

                    };
                    tempAdvice.push(obj)
                  }
                  for (let b = 0; b < prescription.project.length; b++) {
                    let obj = {
                      id: prescription.project[b].id,
                      project_id: prescription.project[b].project_id,
                      project_name: prescription.project[b].project.project_name,
                      statistical_classification: prescription.project[b].project.statistical_classification,
                      single_dose: prescription.project[b].single_dose,
                      delivery_way: prescription.project[b].delivery_way,
                      execution_frequency: prescription.project[b].execution_frequency,
                      number_days: prescription.project[b].day,
                      total: prescription.project[b].count.toString(),
                      price: prescription.project[b].price,
                      remark: prescription.project[b].remark,
                      medical_code: prescription.project[b].project.medical_code,
                      type:prescription.project[b].type,

                      unit: prescription.project[b].unit
                    };
                    if(prescription.project[b].type == 2){
                      obj['statistical_classification'] =  prescription.project[b].project.statistical_classification
                      obj['medical_code'] =  prescription.project[b].project.medical_code
                      obj['project_name'] =  prescription.project[b].project.project_name

                    }else if(prescription.project[b].type == 3){
                      obj['statistical_classification'] = ""
                      obj['medical_code'] =  prescription.project[b].good_info.medical_insurance_number
                      obj['project_name'] =  prescription.project[b].good_info.good_name
                    }

                    tempProject.push(obj)
                  }
                  for (let b = 0; b < prescription.addition.length; b++) {
                    let obj = {
                      id: prescription.addition[b].id,
                      item_name: prescription.addition[b].item_name,
                      price: prescription.addition[b].price,
                      count: prescription.addition[b].count,
                      item_id: prescription.addition[b].item_id,
                    };
                    tempAddition.push(obj)
                  }

                  var preTime = "";

                  if (prescription.pre_time == 0) {
                    preTime = nowTime
                  } else {
                    preTime = this.getTime(prescription.pre_time, "{y}-{m}-{d} {h}:{i}")
                  }

                  let index = i + 1;
                  let obj = {
                    id: prescription.id,
                    name: '处方' + index,
                    advices: tempAdvice,
                    project: tempProject,
                    addition: tempAddition,
                    order_status: prescription.order_status,
                    pre_time: preTime
                  };
                  this.prescriptions.push(obj)
                }
              } else {
                let obj = {
                  id: 0,
                  name: '处方' + 1,
                  advices: [],
                  project: [],
                  addition: [],
                  order_status: 0,
                  pre_time: nowTime,
                };
                this.prescriptions.push(obj)
              }
              this.$refs.prescriptions.setData(this.prescriptions, this.info, this.admin_info, this.doctors, this.department,this.hisPatientInfo, this.month_prescriptions)
            }
          })


        }
        }





      },
      currentChange(currentRow, oldCurrentRow) {
        this.newPatientId = oldCurrentRow.id;
        console.log('执行',this.newPatientId);
        let isShowDailog = false;
        for (let i = 0; i < this.prescriptions.length; i++) {
          if ((this.prescriptions[i].id == 0 && this.prescriptions[i].advices.length > 0) || (this.prescriptions[i].id == 0 && this.prescriptions[i].project.length > 0)) {
            isShowDailog = true
          }
        }
        if (!isShowDailog) {
          this.oldCurrentRow = currentRow;

        }



      }, open_two() {
        this.$refs.prescriptions.open_two()
      },
      open(index) {

        this.index = index;
        if (index == 1) {
          this.$refs.prescriptions.open(1, this.saveLoading)
        } else if (index == 2) {

          this.getPrescriptionList(this.patientInfo.id)
          // this.$router.push("/outpatientDoctorStation/print?record="+this.record_date+"&prescription_id="+this.prescription_id)
        } else if (index == 3) {
          this.$refs.prescriptions.open(3)
        } else if (index == 4) {
          this.$refs.prescriptions.open(4)
        } else if (index == 6) {
          // this.$router.push("/outpatientDoctorStation/treatPrint?record="+this.record_date+"&prescription_id="+this.prescription_id)
          this.getPrescriptionList(this.patientInfo.id)
          // this.$router.push("/outpatientDoctorStation/treatPrint?record="+this.record_date+"&prescription_id="+this.prescription_id)

        }

      },

      opentwo(index) {
        if (index == 1) {
          if (this.patientInfo.id == undefined) {
            this.$message.error("请先选择病人");
            return
          }
          this.$refs.child.createCaseHistory()
        } else if (index == 2) {
          this.recordVisible = true
          // this.$router.push('/outpatientDoctorStation/recordPrint?record='+this.record_date+"&patient_id="+this.patientid)
        } else if (index == 3) {
          var mode_status = this.$refs.saveRecordTemplate.mode_status;
          this.$refs.medicalRecord.show(mode_status)
        } else if (index == 4) {
          this.$refs.saveRecordTemplate.show(this.case_history)
        }

      },
      // changePatient(val){
      //   console.log("患者val",val)
      //   this.hisPatientInfo = val.hisPatientInfo
      //   console.log("333333",this.hisPatientInfo)
      // }

      getMsgFormSon(id) {

        this.detalid = id
      },
      changetwo(data) {
        this.prescription_id = data
      },

      getPrescriptionList(id) {
        getPrescriptionList(id,1).then(response => {
          if (response.data.state == 1) {
            this.centerDialogVisible = true;
            var list = response.data.data.list;
            console.log("list2222222",list);
            for(let i=0;i<list.length;i++){
              list[i].prescription_number = list[i].prescription_number + i
            }
            this.tableData = list
          }
        })
      },
      handleSelectionChange(val) {
        this.selecting_schs = val
        // console.log("99999",this.selecting_schs)
      },
      handleClick() {

      },
      savePrint() {
        var arr = [];
        for (let i = 0; i < this.selecting_schs.length; i++) {
          arr.push(this.selecting_schs[i].id)
        }
        var ids = arr.join(",");
        if (this.index == 2) {
          let obj = {
            record: this.record_date,
            prescription_id: this.prescription_id,
            ids: ids,
            patient_id: this.patientid
          };
          this.paramsObj = obj;
          this.innerVisible = true

          //  this.$router.push("/outpatientDoctorStation/print?record="+this.record_date+"&prescription_id="+this.prescription_id+"&ids="+ids+"&patient_id="+this.patientid)
        }
        if (this.index == 6) {
          let obj = {
            record: this.record_date,
            prescription_id: this.prescription_id,
            ids: ids,
            patient_id: this.patientid
          };
          this.paramsObj = obj;
          this.innerVisible = true
          // this.$router.push("/outpatientDoctorStation/treatPrint?record="+this.record_date+"&prescription_id="+this.prescription_id+"&ids="+ids+"&patient_id="+this.patientid)
        }
      }, getTime(val, temp) {
        if (val != 0) {
          return uParseTime(val, temp)
        } else {
          return ''
        }
      }
    },
    created() {
      var nowDate = new Date();
      var nowYear = nowDate.getFullYear();
      var nowMonth = nowDate.getMonth() + 1;
      var nowDay = nowDate.getDate();
      this.record_date =
        nowYear +
        '-' +
        (nowMonth < 10 ? '0' + nowMonth : nowMonth) +
        '-' +
        (nowDay < 10 ? '0' + nowDay : nowDay);
      this.getList();

      this.diagnoses = this.getDictionaryDataConfig('system', 'diagnose');
      this.other_sick = this.getDictionaryDataConfig('system', 'other_sick_history');
      let tableHeight = document.body.clientHeight - 263;
      this.tableHeight = tableHeight

    },

    mounted() {
      const that = this;
      window.onresize = () => {
        return (() => {
          window.fullHeight = document.documentElement.clientHeight;
          that.fullHeight = window.fullHeight
        })()
      }
    },
    watch: {
      fullHeight(val) {
        if (!this.timer) {
          this.fullHeight = val;
          let tableHeight = val - 263;
          this.tableHeight = tableHeight;
          this.timer = true;
          let that = this;
          setTimeout(function () {
            that.timer = false
          }, 400)
        }
      },

    }
  }
</script>

<style lang="scss" scoped>
  .new-main-contain {
    height: 100%;
    display: flex;
    flex-direction: column;
  }

  .app-container {
    height: 100%;
  }

  .mainCell {
    height: 36px;
    display: flex;
    align-items: center;
  }

  .mainLeft {
    width: 200px;
    height: 100%;
    display: flex;
    flex-direction: column;

  .el-radio {
    margin-right: 5px;
  }

  }
  .mainRight {
    margin-left: 10px;
    flex: 1;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow-y: auto;

  .cellSpan {
    min-width: 80px;
    display: inline-block;
    margin-right: 10px;
  }

  }
  .mainCenter {
    display: flex;
    flex: 1;
  }

  .centerLeft {
    flex: 1;
    display: flex;
    flex-direction: column;
    position: relative;

  .el-form-item {
    width: 32%;
    margin-right: 1%;
    float: left;
  }

  .el-form-item__label {
    text-align: left;
  }

  }
  .backColor {
    background: #f6f8f9;
    height: 5px;
    margin-bottom: 5px;
  }

  .tabsBox {
    position: relative;
    height: 76%;
    overflow-y: auto;
    margin-bottom: 60px;

  .el-tabs__item {
    padding: 0 10px;
  }

  }
  .preTabs {
    height: 100%;
    display: flex;
    flex-direction: column;

  .el-tabs__content {
    flex: 1;
    overflow-y: auto;
  }

  }

  .costBox {
    width: 100%;
    height: 60px;
    background: #fff;
    position: absolute;
    bottom: 0;
    display: flex;
    align-items: center;
  }

  .addTab {
    position: absolute;
    right: 0;
    top: 14px;
    z-index: 20;
  }

  .centerRight {
    width: 300px;
    margin-left: 10px;
    display: flex;
    flex-direction: column;
    position: relative;
  }

  .rightTab {
    height: 40px;
    width: 100%;
    border: 1px solid #d2d2d2;
    box-sizing: border-box;

  p {
    width: 50%;
    height: 40px;
    line-height: 40px;
    text-align: center;
    background: #eee;
    float: left;
  }

  > p:last-child {
    border-left: 1px solid #d2d2d2;
    float: right;
  }

  .activeP {
    background: #409EFF;
    color: #fff;
  }

  }
  .comfirmBox {
    width: 100%;
    height: 60px;
    background: #fff;
    position: absolute;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .mainHeader {
    width: 100%;
    background: #fff;
    position: fixed;
    z-index: 100;
    height: 36px;
  }

  .titleBox {
    position: fixed;
    z-index: 99;
    background: #fff;
  }

  .fixedCell {
    position: fixed;
    z-index: 99;
    right: 30px;
    background: #fff;
    width: 300px;
    display: flex;
    justify-content: space-between;
  }
</style>

<style lang="scss">
  .centerLeft {

  .el-form-item__label {
    text-align: left;
  }

  }
  .tabsBox {

  .el-tabs__item {
    padding: 0 10px;
  }

  .el-tabs--bottom .el-tabs--left > .el-tabs__header .el-tabs__item:nth-child(2), .el-tabs--bottom .el-tabs--right > .el-tabs__header .el-tabs__item:nth-child(2), .el-tabs--bottom.el-tabs--border-card > .el-tabs__header .el-tabs__item:nth-child(2), .el-tabs--bottom.el-tabs--card > .el-tabs__header .el-tabs__item:nth-child(2), .el-tabs--top .el-tabs--left > .el-tabs__header .el-tabs__item:nth-child(2), .el-tabs--top .el-tabs--right > .el-tabs__header .el-tabs__item:nth-child(2), .el-tabs--top.el-tabs--border-card > .el-tabs__header .el-tabs__item:nth-child(2), .el-tabs--top.el-tabs--card > .el-tabs__header .el-tabs__item:nth-child(2) {
    padding: 0 10px;
  }

  .el-tabs--bottom .el-tabs--left > .el-tabs__header .el-tabs__item:last-child, .el-tabs--bottom .el-tabs--right > .el-tabs__header .el-tabs__item:last-child, .el-tabs--bottom.el-tabs--border-card > .el-tabs__header .el-tabs__item:last-child, .el-tabs--bottom.el-tabs--card > .el-tabs__header .el-tabs__item:last-child, .el-tabs--top .el-tabs--left > .el-tabs__header .el-tabs__item:last-child, .el-tabs--top .el-tabs--right > .el-tabs__header .el-tabs__item:last-child, .el-tabs--top.el-tabs--border-card > .el-tabs__header .el-tabs__item:last-child, .el-tabs--top.el-tabs--card > .el-tabs__header .el-tabs__item:last-child {
    padding: 0 10px;
  }

  .el-tabs--card > .el-tabs__header .el-tabs__item.is-active.is-closable {
    padding: 0 10px;
  }

  }
  .centerRight {

  .el-tabs__nav-scroll {
    display: flex;
  }

  .el-tabs__nav {
    margin: 0 auto;
  }

  .el-table th .cell, .el-table td .cell {
    padding: 0 2px;
  }

  }
  .preTabs {

  .el-tabs__content {

  }

  }
  .rightTabs {
    height: 100%;


  .el-tabs__content {

  }

  }
  .centerDialog {

  .el-dialog__body {
    max-height: calc(100vh - 100px) !important;
    padding: 0 20px;
  }

  }
</style>
